main = print $ map (\f -> [ p | n <- [1..1000], let p = f n, p >= 1000 && p <= 9999 ])
  [ (\n -> div (n*(n+1)) 2), (^2), (\n -> div (n*(3*n-1)) 2),
    (\n -> n*(2*n-1)), (\n -> div (n*(5*n-3)) 2), (\n -> n*(3*n-2)) ]

